### robocode.control.events

# Class BattleErrorEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.BattleErrorEvent`

`public class BattleErrorEvent`
`extends BattleEvent`

A BattleErrorEvent is sent to `onBattleError()` when an error message is sent from the game in the during the battle.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `BattleMessageEvent`

  ## Constructor Summary

  `BattleErrorEvent(String error)`
    Creates a new BattleErrorEvent.

  ## Method Summary

  `String`

  `getError()`
    Returns the error message.

## Constructor Details

### BattleErrorEvent

    public BattleErrorEvent(String error)

> Creates a new BattleErrorEvent.
> Parameters:
>   `error` - the error message.

## Method Details

### getError

    public String getError()

> Returns the error message.
> Returns:
>   the error message.